FAQ
Because I know you guys all hate it. Certainly the ones using Catalyst heavily.

Well, it's been fixed in bleadperl for a while, but in order to get that out
we require a 5.10.1 - and to get a 5.10.1 we needed to fix all the bugs that
were in smartmatch in 5.10.0 because not enough of us tested the dev releases.

So, rgs has updated the smartmatch POD, and the code, and the tests.

Because rgs is wonderful.

But given how much trouble we had with the 5.10.0 version it almost certainly
wants more tests and the time for being sure of 5.10.1 features draw nigh. So.

http://github.com/rjbs/perl-smartmatch-tests/tree/master

Here is a repo. Fork it. Try and break it. If you succeed, note how that break
departs from the spec. Send pull requests to rjbs as often as you're sure is
a good idea so he can keep everybody in sync.

Go on. Go! GO GO GO GO GO!

--
Matt S Trout Catalyst and DBIx::Class consultancy with a clue
Technical Director and a commit bit: http://shadowcat.co.uk/catalyst/
Shadowcat Systems Limited
mst (@) shadowcat.co.uk http://shadowcat.co.uk/blog/matt-s-trout/

Search Discussions

  • Jonathan Rockway at May 11, 2009 at 10:45 pm

    * On Mon, May 11 2009, Matt S Trout wrote:
    Because I know you guys all hate it. Certainly the ones using Catalyst heavily.

    Well, it's been fixed in bleadperl for a while, but in order to get that out
    we require a 5.10.1 - and to get a 5.10.1 we needed to fix all the bugs that
    were in smartmatch in 5.10.0 because not enough of us tested the dev
    releases.
    Or, you can use Debian, which fixed this bug in its Perl a while ago:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bugH8088

    Regards,
    Jonathan Rockway

    --
    print just => another => perl => hacker => if $,=$"
  • Andrew Rodland at May 11, 2009 at 11:28 pm

    On Monday 11 May 2009 05:45:01 pm Jonathan Rockway wrote:
    Or, you can use Debian, which fixed this bug in its Perl a while ago:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bugH8088
    Not everyone uses Debian, and I, for one, would much rather be able to tell
    people "get 5.10.1" than to have to explain what "patch" is or try to convince
    them to switch their operating system. A fix from upstream is long overdue. :)

    Andrew
  • Matt S Trout at May 12, 2009 at 6:24 pm

    On Mon, May 11, 2009 at 06:28:12PM -0500, Andrew Rodland wrote:
    On Monday 11 May 2009 05:45:01 pm Jonathan Rockway wrote:
    Or, you can use Debian, which fixed this bug in its Perl a while ago:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bugH8088
    Not everyone uses Debian, and I, for one, would much rather be able to tell
    people "get 5.10.1" than to have to explain what "patch" is or try to convince
    them to switch their operating system. A fix from upstream is long overdue. :)
    Right, so I'm asking the community to help.

    John, if you don't want to help, that's fine, you can remain part of the
    precipitate for all I care.

    Now, who wants to help and is there anything you need from me to make it
    easier for you to help out?

    --
    Matt S Trout Catalyst and DBIx::Class consultancy with a clue
    Technical Director and a commit bit: http://shadowcat.co.uk/catalyst/
    Shadowcat Systems Limited
    mst (@) shadowcat.co.uk http://shadowcat.co.uk/blog/matt-s-trout/

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedMay 11, '09 at 7:32p
activeMay 12, '09 at 6:24p
posts4
users3
websitecatalystframework.org
irc#catalyst

People

Translate

site design / logo © 2022 Grokbase